Projektorji v velikih predavalnicah
===

## Barco G62 (P01)

Linki:
 - [Stran proizvajalca](https://www.barco.com/en/product/g62-w11)
 - [Navodila za uporabo](https://www.projectorcentral.com/pdf/projector_manual_11790.pdf)

Konfiguracija je možna preko spletnega vmesnika ali namiznega (Java) programa "Projecor Toolset".

### Spletni vmesnik

HTTP stran na IP naslovu projektorja. **Username:** `admin@g62`, **Password:** `admin@g62`. 

### Kontrola preko RS232 ali TCP

Kontrola preko RS232 ali TCP povezave na portu `3023` s komandami v ASCII formatu. Dokumentiran je v [Navodilih za uporabo, stran 90](https://www.projectorcentral.com/pdf/projector_manual_11790.pdf#page=90).

Tipi ukazov:

 - Sprememba vrednosti: npr. `[POWR1]` nastavi `POWR` na `1`
 - Preverjanje vrednosti: npr. `[POWR?]`
 - projektor odgovori z npr. `[POWR!01]` (pomeni `POWR` je `1`), `

Vrednosti, ki jih projektor podpira (povzetek):

- `POWR` - "power" - vklopljen ali izklopljen (ekvivalentni vrednosti sta `DPON` in `SBPM`)
- `VMUT` - "video mute" oz. "shutter" - izklop videa
- `MSRC` - "source" - izbira vhoda (0-5)
- `LSHS` - "lamp hours" - ure žarnice
- `FRZE` - "freeze" - zamrzne sliko na projektorju

### Kontrola preko PJLink

PJLink je standardni protokol za kontrolo projektorjev. G62 podpira del ukazov, ne pa vseh (npr. "toggle power" ne dela, "power on" in "power off" pa delata).

PJLink je na TCP portu `4352`, dokumentacija je na voljo: [PJLink Specifications](https://pjlink.jbmia.or.jp/english/data/5-1_PJLink_eng_20131210.pdf)

## Barco RLM W6 (P22, PA)

Linki:
 - [Stran proizvajalca](https://www.barco.com/en/support/rlm-w6)
 - [Navodila za uporabo](https://www.projectorcentral.com/pdf/projector_manual_5601.pdf)
 - [Zamenjava žarnic (navodila in nakup)](https://www.beamer-parts.eu/projector-lamp/barco/barco-r9832749/)

### Spletni vmesnik

HTTP stran na IP naslovu projektorja, avtentikacija je izklopljena.

### Kontrola preko RS232 ali TCP

Kontrola preko RS232 ali TCP povezave na portu `43680` s komandami v ASCII formatu. Dokumentacija: [Barco RLM W6 Serial (RS-232) Command](https://ia601702.us.archive.org/10/items/manualsonline-id-e157e5b3-8a43-4f43-8101-41fbe886a3df/e157e5b3-8a43-4f43-8101-41fbe886a3df.pdf).

Zahtevane so `CR` končnice vrtice! Za testiranje je potrebna naprednejša verzija `ncat`: npr. `ncat -C 192.168.192.22`.

Tipi ukazov:

 - Izvedba ukaza: npr. `op power.off` iz vede ukaz `power.off`
 - Sprememba vrednosti: npr. `op input.sel = 1` nastavi `input.sel` na `1`
 - Preverjanje vrednosti: npr. `op input.sel ?` preveri vrednost `input.sel`
 - projektor odgovori z:
   - ponovitev poslanega (echo): npr. `op power.off` -> `op power.off`
   - potrditev izvedbe ukaza: npr. `op power.off` -> `OP POWER.OFF`
   - novo vrednostjo: npr. `OP INPUT.SEL = 1` (pomeni `input.sel` je zdaj `1`)

Vrednosti, ki jih projektor podpira (povzetek):

- `status` (READ) - stanje napajanja (0=off, 2=on ...)
- `input.sel` (READ+WRITE) - izbira vhoda (0-7)
- `picture.mute` - "source" - izbira vhoda (0-5)
- `LSHS` - "lamp hours" - ure žarnice
- `FRZE` - "freeze" - zamrzne sliko na projektorju

## Dvigala za lifte (P01, P22)

Linki:
 - [Navodila za namestitev](https://www.draperinc.com/documentdownload.aspx?path=LiftsMounts/Instructions&file=ScissorLiftSL_230V_CE_Inst15_Legacy.pdf)

### Nastavitev delovne višine

Za spremembo delovne višine izvedemo naslednja dva postopka:

CLEARING THE SHOW POSITION AT CURRENT SHOW POSITION:
 1. Move lift to the show position (**DELOVNI DOL**)
 2. While lift is at the show position press and hold the Key Up (**SERVIS GOR**) toggle switch and release once the Lift begins moving upward.

The show position is now cleared and ready for a new show position to be set.

PROCEDURE FOR SETTING SHOW POSITION:
 1. Now that the show position has been cleared, use wall switch up and down (**DELOVNI GOR/DOL**) buttons to get lift into desired show position.
 2. While lift is at desired show position, press and hold the Key Down (**SERVIS DOL**) toggle switch until lift begins to move upward. 

Lift will begin a calibration cycle where it will move upward for two seconds, stop then move down for one second and then the Lift will return to the desired show position.
